Description

is it possible, to allow for documents to be versioned and organized into directories?

1. say, i have document regrding a component of my platform, say, component1

1. i have created the design document of this component: component1-design_1.0.doc

1. after some time, the design has changed, i need to update the design document. for this reason, i upload the new document into

the documents repository in redmine and i do specify the version of the document.

then, while refering to the document from the wiki, i will always get the newest version of the document (the newest version will be

the default one) however, i am able to change the default version of the document to custom one

so:

platform

 |

 `-  components

     |

      `- component1

         |

         `- component1-design

            |- v1.0

            |- v1.1

            |- v1.2

            `- v2.0

Related issues:

Is duplicate of Redmine - Feature #991: Document versioning New 2008-04-04

History

#1 - 2008-02-27 20:36 - David Petersen

We would also like to have the ability to attach more metadata to documents so that they can be filtered better.

It would be nice to be able to attach a Project "version" to a document.

#2 - 2008-03-02 03:00 - sunday walker

Repository (Subversion) is the similar functions.

The following functions are not enough.

add (file, folder)

checkout & lock

commit & unlock

metadata

#3 - 2008-03-06 18:19 - Jos Yule

I've just added a similar request - #800. Although my needs are much simpler, and don't require quite the same level of hierarchy that you seem to

need. While i agree that having a web-based interface for simple document management (with some version control) is a big win for many users, if

you need such a level of control (with directories etc) you might have go with an actual VCS, as Sunday Walker notes.
#4 - 2008-05-05 17:04 - Geordee Naliyath

We have similar requirements. Optional description field in 0.7 is great. But to have directories/indexes would be a big advantage. Is it possible to

allow custom fields in Documents section?

#5 - 2009-02-04 14:15 - Lars Erik Gullerud

Having some way to structure the documentation into folders/directories, and optionally even having versioning on them, is basically the last hurdle for

us to get rid of our rather painful MS SharePoint server, as everything else is now moved to Redmine...  +1 on this, even having just

folders/directories would be a nice first step.

#6 - 2010-07-20 00:11 - Terence Mill

+1

#7 - 2010-10-12 13:35 - Aleksandar Pavic

+1

#8 - 2011-05-06 14:10 - Karel Pičman

Try a new DMSF plugin here http://www.redmine.org/plugins/dmsf. The plugin implements basic DMS features such as versioning, folder structure,

multi upload, workflow,...

#9 - 2011-05-06 14:50 - Terence Mill

Checkout the Plugin for Integration of Alfresco, a full features best of breed OS ECM Web Plattform.

Features:

Document Management: Create, capture, share & retain corporate content.

Records Management:Ensure governance, compliance & retention.

Web Content Management:Author, collaborate, approve & publish to the web.

Enterprise Collaboration: Create, collaborate, iterate, discuss & discover content.

Open Source Platform: Build content-rich apps & websites using RESTful APIs and open standards.

Alfesco Plugin Blog

"Alfesco Plugin Links": http://www.redmine.org/issues/3071#note-14

Installation and of Alfresco and Plugin Setup is done in 20 minutes if you have some adminstrative skills.

#10 - 2011-05-06 14:58 - Terence Mill

Sounds interesting. Can u add some screeners of the gui for thiw DMSF Plugin. Tx a lot!

#11 - 2011-05-06 15:43 - Karel Pičman

- File sc1.png added

- File sc2.png added

- File sc3.png added

- File sc4.png added

- File sc5.png added

Some screenshots of DMSF added.

#12 - 2012-10-22 18:15 - Kelvin Chen

- Assignee set to Jean-Philippe Lang

Hi there, this plugin looks really nice after look back to the current document management function on redmine v2.1.2; then is there any way we can

replace the current document management function by this one (plugin), the reason is fair enough as document management is always sensitive and

therefore a well control/manage system/function is love to have to bring certain value (get rid secret risk) to a project and project management tool like

our beloved Redmine.

Cheers,

Kelvin

Files
